## vim 8.0.1766

=== debian/changelog ===
vim (2:8.0.1766-1ubuntu1.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code execution
    - debian/patches/CVE-2019-12735.patch: disallow
      sourcing a file in the sandbox in src/getchar.c
    - CVE-2019-12735

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 07 Jun 2019 08:40:34 -0300

vim (2:8.0.1766-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, and yakkety, and zesty.
      + Add bionic and cosmic.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 05 Jun 2018 15:42:14 -0600

vim (2:8.0.1766-1) unstable; urgency=medium

  [ David Rabel ]
  * d/copyright: Fix path to tee.c

  [ upstream ]
  * 8.0.1477: Avoid cursor flicker when changing (de)focusing the terminal.
    (Closes: #890642)
  * 8.0.1491: New 'pumwidth' option allows controlling the width of the popup
    menu.  (Closes: #450481)
  * 8.0.1744: Skip Test_writefile_sync_dev_stdout when /dev/stdout isn't
    writable.  (Closes: #894565)
  * syntax/config.vim: Fix highlighting matching paren for AC_MSG_* syntax
    items.  (Closes: #881654)
  * syntax/debcontrol.vim: Recognize Testsuite and Testsuite-Triggers fields.
    (Closes: #886230)
  * syntax/sh.vim: Do not highlight substring processing as an error for POSIX
    sh.  (Closes: #885938)

  [ James McCoy ]
  * watch: Track git tags instead of major releases
  * Declare compliance with Policy 4.1.4, no changes needed
  * control: Use 11~ for minimum debhelper version to ease backporting
  * rules:
    + Fold config.mk handling into autoconf-stamp target
    + Use C.UTF-8 locale when running tests to avoid an upstream bug in the
      tests.  When not run in a UTF-8 locale, a child Vim used by the tests
      displays some unicode characters incorrectly, breaking the test.

 -- James McCoy <jamessan@debian.org>  Thu, 26 Apr 2018 22:08:08 -0400

vim (2:8.0.1453-1ubuntu3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 15:09:33 +0200

vim (2:8.0.1453-1ubuntu2) cosmic; urgency=medium

  * debian/patches/ubuntu-series-support.patch: Drop zesty and add cosmic.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 02 May 2018 06:33:24 -0600
