## vim 8.1.0320

=== debian/changelog ===
vim (2:8.1.0320-1ubuntu3.1) disco-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code execution
    - debian/patches/CVE-2019-12735.patch: disallow
      sourcing a file in the sandbox in src/getchar.c
    - CVE-2019-12735

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 07 Jun 2019 08:42:36 -0300

vim (2:8.1.0320-1ubuntu3) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:15:14 -0600

vim (2:8.1.0320-1ubuntu2) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 12:39:06 +0000

vim (2:8.1.0320-1ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, and yakkety, zesty, artful.
      + Add disco.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 Oct 2018 06:23:59 -0600

vim (2:8.1.0320-1) unstable; urgency=medium

  * Merge upstream tag v8.1.0320
    - syntax/debcontrol.vim:
      + Recognize riscv64 as an architecture (Closes: #905435)
    - syntax/sh.vim:
      + Fix syntax highlighting of curly braces inside parameter expansion
        (Closes: #904875)
  * rules:
    + Stop using --dbgsym-migration
    + Stop overriding default dpkg-deb compression
  * Declare compliance with Policy 4.2.0, no changes needed
  * control: Add cscope to Build-Depends to test cscope integration

 -- James McCoy <jamessan@debian.org>  Wed, 22 Aug 2018 19:46:39 -0400

vim (2:8.1.0229-1) unstable; urgency=medium

  [ upstream ]
  * Unicode 11 support
  * New options ('vartabstop'/'varsofttabstop') to define variable width tab
    stops.
  * Danish translation

  [ James McCoy ]
  * Change "Compiled by" string to team+vim@tracker.d.o
  * rules:
    + Only run scratch target, not distclean, in autoconf-stamp to avoid FTBFS
      with parallel builds.
    + Allow defining VARIANT from the environment.  Thanks to Guillem Jover
      for the suggestion (Closes: #903927)
  * Change vim-python Provides to vim-python3.  While Vim only supports py2 or
    py3, Neovim supports both so the change in provides allows
    python(3)-neovim to differentiate the supported Python version.

 -- James McCoy <jamessan@debian.org>  Thu, 02 Aug 2018 21:44:43 -0400

vim (2:8.1.0089-1) unstable; urgency=medium

  * New upstream release
    + New syntax highlighting for machine-readable debian/copyright files.
      (Closes: #869965)
    + Fix mis-highlighting of architectures in debian/control files.  (Closes:
      #900476)
  * Change Maintainer to team+vim@tracker.debian.org
  * Add wildcard to binaries-have-file-conflict override between
    vim-tiny/vim-runtime to account for upstream releases.

 -- James McCoy <jamessan@debian.org>  Tue, 19 Jun 2018 22:44:05 -0400
