=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
 Uploaders:
  James McCoy <jamessan@debian.org>,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Rules-Requires-Root: no
 Build-Depends:
  autoconf,
+ cscope <!nocheck>,
  debhelper (>= 11~),
 # SOURCE_DATE_EPOCH provided by pkg-info.mk
  dpkg-dev (>= 1.18.8),
@@ -166,7 +167,7 @@
  vim,
  vim-lua,
  vim-perl,
- vim-python,
+ vim-python3,
  vim-ruby,
  vim-tcl,
 Description: Vi IMproved - enhanced vi editor - with GTK2 GUI
@@ -198,7 +199,7 @@
  vim,
  vim-lua,
  vim-perl,
- vim-python,
+ vim-python3,
  ${vim:Ruby-Provides},
  vim-tcl,
 Description: Vi IMproved - enhanced vi editor - with GTK3 GUI
@@ -226,7 +227,7 @@
  vim,
  vim-lua,
  vim-perl,
- vim-python,
+ vim-python3,
  vim-ruby,
  vim-tcl,
 Description: Vi IMproved - enhanced vi editor - with scripting languages support
@@ -256,7 +257,7 @@
  vim,
  vim-lua,
  vim-perl,
- vim-python,
+ vim-python3,
  vim-ruby,
  vim-tcl,
 Description: Vi IMproved - enhanced vi editor - with Athena GUI
