=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 include /usr/share/dpkg/default.mk
 
-BUILDER := pkg-vim-maintainers@lists.alioth.debian.org
+BUILDER := team+vim@tracker.debian.org
 
 MAKETEST := no
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -117,7 +117,7 @@
 VARIANTS+=vim-nox
 VARIANTS+=vim-basic
 
-ifeq ($(origin VARIANT), command line)
+ifneq ($(origin VARIANT), undefined)
 	VARIANTS = $(VARIANT) vim-basic
 endif
 
@@ -144,13 +144,9 @@
 VERSION:=$(basename $(DEB_VERSION_UPSTREAM))
 VIMCUR:=$(NAME)$(subst .,,$(VERSION))
 PER_VARIANT_FILES := install postinst prerm lintian-overrides maintscript
-LANGS := fr it pl ru ja
+LANGS := da de fr it ja pl ru
 
 DOT_IN_DEPS := debian/vim-common.install
-DOT_IN_DEPS += debian/vim-common.links
-DOT_IN_DEPS += debian/vim-gui-common.install
-DOT_IN_DEPS += debian/vim-gui-common.links
-DOT_IN_DEPS += debian/vim-runtime.install
 DOT_IN_DEPS += debian/vim-runtime.links
 DOT_IN_DEPS += debian/vim-runtime.postrm
 DOT_IN_DEPS += debian/vim-runtime.preinst
@@ -240,7 +236,7 @@
 # in the same directory at the same time instead of in their own shadow
 # directories.
 	$(MAKE) -C src autoconf
-	$(MAKE) distclean
+	$(MAKE) -C src scratch
 	touch $@
 
 configure-stamp-%: SHADOWDIR=$*
@@ -250,10 +246,15 @@
 	dh_testdir
 	@echo "*** DEBIAN *** CONFIGURING VARIANT $*"
 	$(MAKE) -C src shadow SHADOWDIR=$(SHADOWDIR)
-	if test -f src/auto/config.cache; then make distclean; fi
 	cd src/$(SHADOWDIR) && LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS_$(*))" ./configure $(CFGFLAGS_$(*))
 	touch $@
 
 build-stamp-%: PKG=$(subst -basic,,$*)
 build-stamp-%: CURCFLAGS=$(CFLAGS_$*)
 build-stamp-%: SHADOWDIR=$*
+build-stamp-%: configure-stamp-%
+	dh_testdir
+	dh_prep -p $(PKG)
+	@echo "*** DEBIAN *** BUILDING VARIANT $*"
+	$(MAKE) -C src/$(SHADOWDIR)
+	# Ensure $TERM is set to a sane value for testing
