## vim 8.1.0549

=== debian/changelog ===
vim (2:8.1.0549-1) unstable; urgency=medium

  * Merge upstream tag v8.1.0549
    + Built-in support for performing diffs, via the libxdiff library, which
      allows setting the diff algorithm (:help 'diffopt').
    + Fix formatting of example output in translated xxd man pages.  (Closes:
      #909217)
  * gitlab-ci.yml: Run build as non-root user
  * Mark vim-common Multi-Arch: foreign (Closes: #910732)

 -- James McCoy <jamessan@debian.org>  Tue, 27 Nov 2018 20:38:28 -0500
