=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vim
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
 Uploaders:
  James McCoy <jamessan@debian.org>,
 Standards-Version: 4.2.0
@@ -43,6 +42,7 @@
 Package: vim-common
 Priority: important
 Architecture: all
+Multi-Arch: foreign
 Depends:
  xxd,
  ${misc:Depends},
