=== debian/changelog ===
vim (2:8.1.0875-5ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:15:15 +0000

vim (2:8.1.0875-5ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, yakkety, zesty, artful.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Jun 2019 14:02:54 -0700

vim (2:8.1.0875-5) unstable; urgency=medium

  * gbp.conf: Set debian-tag to debian/%(version)s
  * Backport 'modelineexpr' patches to further restrict modelines
    + 8.1.1366: Using expressions in a modeline is unsafe
    + 8.1.1367: can set 'modelineexpr' in modeline
    + 8.1.1368: Modeline test fails with python but without pythonhome
    + 8.1.1382: Error when editing test file
    + 8.1.1401: misspelled mkspellmem as makespellmem (test fix)

 -- James McCoy <jamessan@debian.org>  Sat, 15 Jun 2019 12:41:15 -0400

vim (2:8.1.0875-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, yakkety, zesty, artful.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Jun 2019 08:06:14 -0700

vim (2:8.1.0875-4) unstable; urgency=high

  * Backport 8.1.1046 and 8.1.1365 to fix CVE-2019-12735  (Closes: #930020)
    + 8.1.1365: source command doesn't check for the sandbox

 -- James McCoy <jamessan@debian.org>  Fri, 07 Jun 2019 06:49:19 -0400

vim (2:8.1.0875-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, yakkety, zesty, artful.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 May 2019 22:59:57 -0700

vim (2:8.1.0875-3) unstable; urgency=medium

  * syntax/deb{changelog,sources}: Update release names for Debian/Ubuntu
    (Closes: #927167)

 -- James McCoy <jamessan@debian.org>  Sun, 05 May 2019 23:41:10 -0400

vim (2:8.1.0875-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim.
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/ubuntu-series-support.patch:
      + Drop vivid, wily, yakkety, zesty, artful.
      + Add eoan.
    - debian/patches/ubuntu-mouse-off.patch:
      + Mouse mode is actively harmful in some chroots.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 15:10:08 -0700

vim (2:8.1.0875-2) unstable; urgency=medium

  * Backport 8.1.0878 and 8.1.0884 to fix test failures on kFreeBSD.
  * Backport 8.1.0948 to avoid enabling filetype detection when the +eval
    feature isn't present.  (Closes: #922106)

 -- James McCoy <jamessan@debian.org>  Fri, 22 Feb 2019 07:55:04 -0500

vim (2:8.1.0875-1) unstable; urgency=medium

  * Merge upstream patch v8.1.0875
    + "autocmd", "multi_byte", "virtualedit", and "visualextra" features are
      now always enabled.
    + New Blob type, for working with raw bytes.
    + Support a 3rd character for the "tab" setting in the 'listchars' option.
    + *.com files under /etc/apache2/sites-* are properly recognized as apache
       filetype.  (Closes: #740387)
    + syntax/debchangelog.vim: Recognize "emergency" as a valid urgency.
      (Closes: #920522)
    + Support 64-bit offsets for xxd.  (Closes: #771456)
  * rules:
    + Remove --enable-multibyte since it is always enabled
  * debian.vim:
    + Remove has('autocmd') checks since it is always enabled
  * gvimrc:
    + Adapt gui check to work for gtk2/gtk3

 -- James McCoy <jamessan@debian.org>  Mon, 04 Feb 2019 23:11:09 -0500

vim (2:8.1.0693-2) unstable; urgency=medium

  * Separate /etc/vim and /usr/share/vim/vimfiles.  The former should be for
    the sysadmin, while the latter is used by packages.
    + Make /usr/share/vim/vimfiles a directory, not a symlink to /etc/vim
    + Add /etc/vim to the default 'runtimepath'

 -- James McCoy <jamessan@debian.org>  Sat, 05 Jan 2019 15:53:12 -0500

vim (2:8.1.0693-1) unstable; urgency=medium

  * Merge upstream tag v8.1.0693
  * control:
    + Remove obsolete vim-gnome package
    + Remove ${shlibs:Depends} from vim-common, since it is Arch: all
    + Build-Depend on libtool-bin to run libterm tests
    + Replace libtinfo-dev Build-Depends with libncurses-dev
    + Change Homepage to https://www.vim.org/
  * Use debian/clean to cleanup files/directories
  * rules:
    + Rename stamp files so dh_clean deletes them automatically
    + Ensure helptags are generated before running tests

