=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: vim
 Section: editors
 Priority: optional
-Maintainer: Debian Vim Maintainers <team+vim@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
 Uploaders:
  James McCoy <jamessan@debian.org>,
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Build-Depends:
  autoconf,
@@ -19,7 +20,9 @@
  liblua5.2-dev,
  libperl-dev,
  libselinux1-dev [linux-any],
- libtinfo-dev | libncurses5-dev,
+ libncurses-dev,
+# Needed to run libvterm's tests
+ libtool-bin <!nocheck>,
  libxaw7-dev,
  libxpm-dev,
  libxt-dev,
@@ -37,7 +40,7 @@
  pdf2svg,
 Vcs-Git: https://salsa.debian.org/vim-team/vim.git
 Vcs-Browser: https://salsa.debian.org/vim-team/vim
-Homepage: https://vim.sourceforge.io/
+Homepage: https://www.vim.org/
 
 Package: vim-common
 Priority: important
@@ -46,7 +49,6 @@
 Depends:
  xxd,
  ${misc:Depends},
- ${shlibs:Depends},
 Recommends:
  vim | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny,
 Description: Vi IMproved - Common files
@@ -270,16 +272,6 @@
  This package contains a version of vim compiled with a Athena GUI
  and support for scripting with Lua, Perl, Python 3, Ruby, and Tcl.
 
-Package: vim-gnome
-Architecture: all
-Depends:
- vim-gtk3,
- ${misc:Depends},
-Section: oldlibs
-Description: Vi IMproved - enhanced vi editor (dummy package)
- This is a transitional package to install the vim-gtk3 package.  You may
- remove this package if nothing depends on it.
-
 Package: xxd
 Architecture: any
 Multi-Arch: foreign
